- Qt 6.9
- Qt Graphs
- QML Types
- QtGraphs
- LogValue3DAxisFormatter
- Qt Graphs | Commercial or GPLv3

# LogValue3DAxisFormatter QML Type

Provides formatting rules for a logarithmic value axis. More...

Import Statement: | `import QtGraphs`
In C++: | QLogValue3DAxisFormatter
Inherits: | Value3DAxisFormatter

- List of all members, including inherited members
- LogValue3DAxisFormatter is part of Qt Graphs QML Types for 3D.

## Properties

- autoSubGrid : bool
- base : real
- edgeLabelsVisible : bool

## Signals

- autoSubGridChanged(bool enabled)
- baseChanged(real base)
- edgeLabelsVisibleChanged(bool enabled)

## Detailed Description

When a formatter is attached to a value axis, the axis range cannot include negative values or the zero.

## Property Documentation

autoSubGrid : bool

Defines whether sub-grid positions are generated automatically.

If this property value is set to `true`, the parent axis sub-segment count is ignored when calculating sub-grid line positions. The sub-grid positions are generated automatically according to the base property value. The number of sub-grid lines is set to the base value minus one, rounded down. This property is ignored when the base value is zero. Defaults to `true`.

See also base and Value3DAxis::subSegmentCount.

base : real

The base of the logarithm used to map axis values. If the base is non-zero, the parent axis segment count will be ignored when the grid line and label positions are calculated. If you want the range to be divided into equal segments like a normal value axis, set this property value to zero.

The base has to be zero or a positive value and it cannot be equal to one. Defaults to ten.

See also Value3DAxis::segmentCount.

edgeLabelsVisible : bool

Defines whether the first and last label on the axis are visible.

When the base property value is non-zero, the whole axis range is often not equally divided into segments. The first and last segments are often smaller than the other segments. In extreme cases, this can lead to overlapping labels on the first and last two grid lines. By setting this property to `false`, you can suppress showing the minimum and maximum labels for the axis in cases where the segments do not exactly fit the axis. Defaults to `true`.

See also base and Abstract3DAxis::labels.

## Signal Documentation

autoSubGridChanged(bool enabled)

This signal is emitted when the value that specifies whether sub-grid positions are generated automatically changes to enabled.

Note: The corresponding handler is `onAutoSubGridChanged`.

baseChanged(real base)

This signal is emitted when the base of the logarithm used to map axis values changes to base.

Note: The corresponding handler is `onBaseChanged`.

edgeLabelsVisibleChanged(bool enabled)

This signal is emitted when the value that specifies whether to show the first and last label on the axis changes to enabled.

Note: The corresponding handler is `onEdgeLabelsVisibleChanged`.